unit ExcelDem;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, JVExcel, ExtCtrls, Grids;

type
  TExcelDemoForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ExcelBook1: TExcelBook;
    ExcelSheet1: TExcelSheet;
    Bevel1: TBevel;
    AppVisibleCheckBox: TCheckBox;
    Label1: TLabel;
    Button3: TButton;
    AlertsCheckBox: TCheckBox;
    Button4: TButton;
    ExcelApp1: TExcelApp;
    Bevel2: TBevel;
    Label2: TLabel;
    Edit1: TEdit;
    Button6: TButton;
    ExcelSheet2: TExcelSheet;
    Button7: TButton;
    Edit2: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Edit3: TEdit;
    Panel1: TPanel;
    Label5: TLabel;
    Button8: TButton;
    Button5: TButton;
    Button9: TButton;
    Edit5: TEdit;
    StringGrid1: TStringGrid;
    FontDialog1: TFontDialog;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    Cellsbox: TEdit;
    FormulaBox: TEdit;
    Label6: TLabel;
    Label7: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure AppVisibleCheckBoxClick(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure AlertsCheckBoxClick(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button14Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ExcelDemoForm: TExcelDemoForm;

implementation

{$R *.DFM}

procedure TExcelDemoForm.Button1Click(Sender: TObject);
begin
if AlertsCheckBox.Checked then
   ExcelApp1.ShowExcelAlerts := true
else
    ExcelApp1.ShowExcelAlerts := false;
if AppVisibleCheckBox.Checked then
   ExcelApp1.Visible := true
else
    ExcelApp1.Visible := false;
ExcelApp1.Start;
//ExcelBook1.Open;

end;

procedure TExcelDemoForm.Button2Click(Sender: TObject);
begin
ExcelBook1.PasswordRead := Edit2.Text;
ExcelBook1.PasswordWrite := Edit3.Text;
ExcelBook1.Filename := Edit1.Text;
ExcelBook1.Open;
end;

procedure TExcelDemoForm.AppVisibleCheckBoxClick(Sender: TObject);
begin
if AppVisibleCheckBox.Checked then
   ExcelApp1.Visible := true
else
    ExcelApp1.Visible := false;
end;

procedure TExcelDemoForm.Button3Click(Sender: TObject);
begin
close;
end;

procedure TExcelDemoForm.Button4Click(Sender: TObject);
begin
ExcelApp1.Quit;
end;

procedure TExcelDemoForm.AlertsCheckBoxClick(Sender: TObject);
begin
if AlertsCheckBox.Checked then
   ExcelApp1.ShowExcelAlerts := true
else
    ExcelApp1.ShowExcelAlerts := false;

end;

procedure TExcelDemoForm.Button6Click(Sender: TObject);
begin
ExcelBook1.FileName := Edit1.Text;
ExcelBook1.PasswordRead := Edit2.Text;
ExcelBook1.PasswordWrite := Edit3.Text;
ExcelBook1.Save;
end;

procedure TExcelDemoForm.Button7Click(Sender: TObject);
begin
 if MessageDlg('Save changes?',
    mtConfirmation, [mbYes, mbNo], 0) = mrYes  then
    ExcelBook1.Close(true)
 else
     ExcelBook1.Close(false);
end;

procedure TExcelDemoForm.Button8Click(Sender: TObject);
var
javstring : string;
JAVinteger, JAVRow : integer;
begin
JAVRow := 0;
JAVString := '';
Repeat
javstring := JAVSTring + StringGrid1.Rows[JaVRow].GetText;
while Pos(#13#10, JAVString) > 0 do
   begin
   JAVInteger := Pos(#13#10, JAVSTring);
   JAVString[JAVInteger] := #9;
   JAVString[JAVInteger + 1] := ' ';
   end;
 inc(javrow);
 JAVString := JAVString + #10;
 until JAVRow = StringGrid1.Rowcount;
ExcelSheet1.InsertData(PChar(JAVString), 0,0,0,0 );
end;

procedure TExcelDemoForm.Button5Click(Sender: TObject);
begin
Edit5.Text := ExcelBook1.GetActiveSheet;
end;

procedure TExcelDemoForm.Button9Click(Sender: TObject);
begin
ExcelBook1.SetActiveSheet(Edit5.Text);
end;

procedure TExcelDemoForm.Button10Click(Sender: TObject);
begin
FontDialog1.Execute;
ExcelSheet1.SetFont(1,1,4,3,FontDialog1.Font);
end;

procedure TExcelDemoForm.Button11Click(Sender: TObject);
begin
ExcelSheet1.AutoFitColumns(1,1,4,3);
end;

procedure TExcelDemoForm.Button12Click(Sender: TObject);
begin
ExcelApp1.Visible := true;
ExcelSheet1.PrintPreview;
end;

procedure TExcelDemoForm.Button13Click(Sender: TObject);
begin
ExcelSheet1.PrintHardCopy(0,0,0);
end;

procedure TExcelDemoForm.FormCreate(Sender: TObject);
begin

stringgrid1.Cells[0,0] := '1234';
stringgrid1.Cells[2,0] := 'James';
stringgrid1.Cells[1,0] := '1223323';
stringgrid1.Cells[0,1] := '2146';
stringgrid1.Cells[2,1] := '3115';
stringgrid1.Cells[1,1] := '$25,000';
stringgrid1.Cells[0,2] := '35.00354';
stringgrid1.Cells[2,2] := '3454';
stringgrid1.Cells[1,2] := '3888354';
stringgrid1.Cells[0,3] := '54';
stringgrid1.Cells[2,3] := 'Villela';
stringgrid1.Cells[1,3] := '835.04';


end;

procedure TExcelDemoForm.Button14Click(Sender: TObject);
begin
ExcelSheet1.SetFormula(CellsBox.Text, FormulaBox.Text);
end;

end.
